Get a received email's attachment
GET
/v1/email/inbound-messages/{inbound_message_id}/attachments/{attachment_id}
bird email inbound-messages attachment <inbound-message-id> <attachment-id>curl -X GET "https://us1.platform.bird.com/v1/email/inbound-messages/{inbound_message_id}/attachments/{attachment_id}" \
-H "Authorization: Bearer $TOKEN"Returns the raw bytes of a single attachment on a received email, served as application/octet-stream. The attachment's declared MIME type and filename are in its metadata, from List a received email's attachments, which is also where you find the attachment_id. Returns 404 when the attachment is not part of the message or its stored bytes have expired. A received message, including its attachments, cannot exceed 20 MB.
Parameters
inbound_message_id
string
Received email identifier. Starts with rem_.
attachment_id
string
Inbound attachment identifier. Starts with rea_.
Gerelateerde bronnen
Ga verder met de documentatie, gidsen en voorbeelden voor dit onderwerp. De bronnen zijn in het Engels.
Bekijk de gidsGetting started with emailOntdek de mogelijkheidEmailVolg het leerpadBuild your first integrationImplementatiegidsSend your first email
Probeer de oefening en ontvang een implementatieoverzicht